Loading...
Searching...
No Matches
field_concat_value< T, M >

## Detailed Description

template<class T, class M>
class rheolef::details::field_concat_value< T, M >

Definition at line 33 of file field_concat.h.

## Public Types

enum | variant_type { scalar , vector_scalar , field }

## Public Member Functions

template<class U , class Sfinae = typename std::enable_if< is_rheolef_arithmetic<U>::value ,void >::type>
| field_concat_value (const U &x)
| field_concat_value (const std::vector< T > &x)
| field_concat_value (const field_basic< T, M > &x)

## Public Attributes

T | s
std::vector< T > | vs
field_basic< T, M > | f
variant_type | variant

## Member Enumeration Documentation

## variant_type

template<class T , class M >

enum variant_type

Enumerator
scalar |
vector_scalar |
field |

Definition at line 38 of file field_concat.h.

## Constructor & Destructor Documentation

## field_concat_value() [1/3]

template<class T , class M >
template<class U , class Sfinae = typename std::enable_if< is_rheolef_arithmetic<U>::value ,void >::type>

field_concat_value | ( | const U & | x | ) |

Definition at line 49 of file field_concat.h.

## field_concat_value() [2/3]

template<class T , class M >

field_concat_value | ( | const std::vector< T > & | x | ) |

Definition at line 50 of file field_concat.h.

## field_concat_value() [3/3]

template<class T , class M >

field_concat_value | ( | const field_basic< T, M > & | x | ) |

Definition at line 51 of file field_concat.h.

## Member Data Documentation

## s

template<class T , class M >

T s

Definition at line 61 of file field_concat.h.

## vs

template<class T , class M >

std::vector<T> vs

Definition at line 62 of file field_concat.h.

## f

template<class T , class M >

field_basic<T,M> f

Definition at line 63 of file field_concat.h.

## variant

template<class T , class M >

variant_type variant

Definition at line 64 of file field_concat.h.

The documentation for this class was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/field.h
- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/field_concat.h